# Different systems call the freetype2 RPM different things
%define freetype2 freetype
# %define freetype2 freetype2

Summary:	Font configuration and customization library
Name:		fontconfig
Version:	2.1.91
Release:	1
License:	MIT
Group:		System Environment/Libraries
Source:		http://fontconfig.org/release/fontconfig-%{vesion}.tar.gz
URL:            http://fontconfig.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires: /usr/bin/docbook2html
BuildRequires: /usr/bin/docbook2txt
BuildRequires: %{freetype2}-devel
BuildRequires: expat-devel
BuildRequires: perl

PreReq: %{freetype2}

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package devel
Summary:	Font configuration and customization library
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	%{freetype2}-devel

%description devel
The fontconfig-devel package includes the static libraries, 
header files, and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which 
will use fontconfig.

%prep
%setup -q

%build
%configure --with-x-fonts=/usr/X11R6/lib/X11/fonts
make -j %{_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

# Force regeneration of all fontconfig cache files.
fc-cache -f --system-only

%postun -p /sbin/ldconfig

%files
%doc README AUTHORS COPYING ChangeLog doc/fontconfig-*.{html,txt}
%{_libdir}/libfontconfig*.so.*
%{_bindir}/fc-*
%dir %{_sysconfdir}/fonts
%{_sysconfdir}/fonts/fonts.conf
%{_sysconfdir}/fonts/fonts.dtd
%config %{_sysconfdir}/fonts/local.conf
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_libdir}/libfontconfig.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig
%{_includedir}/fontconfig

%changelog
* Sun Mar  2 2003 Owen Taylor <otaylor@redhat.com>
- Various improvements from Red Hat spec file

* Sun Mar 2 2003 Mike A. Harris <mharris@redhat.com> 2.1.90-0.1
- Initial changelog entry
